- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
qi::path::detail Namespace Reference

Implementation detail. More...

## Functions
std::vector< std::string > | getSdkPrefixes ()
| Return the SDK prefixes list. It's always complete, native paths. More...
void | addOptionalSdkPrefix (const char *prefix)
| Add a new SDK prefix to the list of searchable prefixes. More...
void | clearOptionalSdkPrefix ()
| Reset the list of additional SDK prefixes. More...
void | setWritablePath (const std::string &path)
| Set the writable files path for users. More...
Path | normalize (const Path &path)

## Detailed Description

Implementation detail.

not thread-safe, must be kept internal

## Function Documentation

void qi::path::detail::addOptionalSdkPrefix | ( | const char * | prefix | ) |

Add a new SDK prefix to the list of searchable prefixes.

A default SDK prefix is computed using argc, argv when calling qi::Application app(argc, argv).

After calling this function, the new SDK prefix will be taken into account by the other methods.

Parameters

  prefix | The new prefix to add (in UTF-8).

void qi::path::detail::clearOptionalSdkPrefix | ( |  | ) |

Reset the list of additional SDK prefixes.

Reset all the SDK added with qi::path::addOptionalSdkPrefix. The list of SDK prefixes will only contain the default SDK prefix.

std::vector<std::string> qi::path::detail::getSdkPrefixes | ( |  | ) |

Return the SDK prefixes list. It's always complete, native paths.

Path qi::path::detail::normalize | ( | const Path & | path | ) |

Normalize a path by deducing ".." and '.' and replacing '\' by '/'.

Parameters

  path | Path to normalize.

Returns
  A normalized copy of the path passed in arguments.

void qi::path::detail::setWritablePath | ( | const std::string & | path | ) |

Set the writable files path for users.

Parameters

  path | Path to the new writable data path

Warning
  This method is only meant to be used in tests.